Bug 17890 - Segmentation fault in aspell
Summary: Segmentation fault in aspell
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: aspell   
(Show other bugs)
Version: 7.3
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-26 21:44 UTC by Michal Jaegermann
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-04 15:40:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2000-09-26 21:44:46 UTC
With aspell-0.32.5-1 on Alpha trying this command:

$ aspell -c /usr/share/texmf/doc/latex/sidecap/sc2demo.tex

results in the following output on a screen:

aspell(646): unaligned trap at 0000020000010998: 0000020000758544 29 1
aspell(646): unaligned trap at 00000200000109a0: 0000020000758544 2d 1
aspell(646): unaligned trap at 0000020000010998: 00000200007590f4 29 1
aspell(646): unaligned trap at 00000200000109a0: 00000200007590f4 2d 1
Segmentation fault

Not very useful or exciting.

  Michal
  michal@harddata.com

Comment 1 Trond Eivind Glomsrxd 2000-09-26 21:50:51 UTC
This is platform specific (works on IA32) - Matt?

Comment 2 Michal Jaegermann 2000-09-26 22:33:14 UTC
Yes, I would think so.  I submitted that for Alpha.  You will not see "unaligned
traps" on ia32 but "Segmentation fault" you might. :-)

Comment 3 Trond Eivind Glomsrxd 2000-10-01 15:32:35 UTC
Handing this over to Matt, who knows a lot more about Alphas than I do.

Comment 4 Matt Wilson 2000-10-01 16:25:57 UTC
The four unaligned traps are in the dynamic loader for any C++ application.  I'm
trying to reproduce the segfault now.


Comment 5 Bill Nottingham 2000-10-04 15:40:17 UTC
FWIW, it segfaults on ia64 too. ;)

Comment 6 Trond Eivind Glomsrxd 2000-11-08 19:45:15 UTC
This was fixed for the final.


Note You need to log in before you can comment on or make changes to this bug.